%undefine __cmake_in_source_build

Name:           konversation
Version: 23.08.5
Release:    1%{?dist}
Summary:        A user friendly IRC client

License:        GPL-2.0-or-later
URL:            http://konversation.kde.org/
%if 0%{?snap}
Source0:        %{name}-%{version}-%{snap}.tar.bz2
%else
Source0:        http://download.kde.org/%{?beta:un}stable/release-service/%{version}%{?beta:-%{beta}}/src/konversation-%{version}%{?beta:-%{beta}}.tar.xz
%endif

Source1:        konversationrc


BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-rpm-macros
BuildRequires: kf5-karchive-devel
BuildRequires: kf5-kbookmarks-devel
BuildRequires: kf5-kconfig-devel
BuildRequires: kf5-kconfigwidgets-devel
BuildRequires: kf5-kcrash-devel
BuildRequires: kf5-kdbusaddons-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-kemoticons-devel
BuildRequires: kf5-kglobalaccel-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kiconthemes-devel
BuildRequires: kf5-kidletime-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-knewstuff-devel
BuildRequires: kf5-knotifications-devel
BuildRequires: kf5-knotifyconfig-devel
BuildRequires: kf5-kparts-devel
BuildRequires: kf5-solid-devel
BuildRequires: kf5-sonnet-devel
BuildRequires: kf5-kwallet-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-kwindowsystem-devel
BuildRequires: libappstream-glib
BuildRequires: perl-generators

BuildRequires: cmake(Qt5Multimedia)

BuildRequires: pkgconfig(phonon4qt5)
BuildRequires: pkgconfig(qca2-qt5)
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: python3
BuildRequires: python3-rpm-macros
%global __python %{_python3}
BuildRequires: sed

Requires: qca-qt5-ossl

%description
A simple and easy to use IRC client with support for
strikeout; multi-channel joins; away / unaway messages;
ignore list functionality; support for foreign
language characters; auto-connect to server; optional timestamps
to chat windows; configurable background colors and much more


%prep
%autosetup -n %{name}-%{version}%{?beta:-%{beta}} -p1

sed -i \
  -e "s|^#!/usr/bin/env bash|#!/bin/bash|g" \
  -e "s|^#!/usr/bin/env perl|#!/usr/bin/perl|g" \
  -e "s|^#!/usr/bin/env python$|#!%{__python3}|g" \
  data/scripts/* \
  data/scripting_support/python/konversation/*.py


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

install -p -m644 -D %{SOURCE1} %{buildroot}%{_kf5_sysconfdir}/xdg/konversationrc

%find_lang konversation --with-html


%check
appstream-util validate-relax --nonet %{buildroot}%{_kf5_metainfodir}/org.kde.konversation.appdata.xml ||:

%files  -f konversation.lang
%doc ChangeLog README
%config(noreplace) %{_kf5_sysconfdir}/xdg/konversationrc
%{_kf5_bindir}/konversation
%{_kf5_datadir}/applications/org.kde.konversation.desktop
%{_kf5_datadir}/dbus-1/services/org.kde.konversation.service
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/kconf_update/konversation*
%{_kf5_datadir}/knotifications5/konversation.notifyrc
%{_kf5_datadir}/knsrcfiles/konversation_nicklist_theme.knsrc
%{_kf5_datadir}/konversation/
%{_kf5_datadir}/qlogging-categories5/konversation.categories
%{_kf5_metainfodir}/org.kde.konversation.appdata.xml


%changelog
* Wed Aug 21 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
